org.eclipse.emf.compare.ide.logical

## Interface IModelInclusionTester

    public interface IModelInclusionTester

A model tester specifies whether an `IFile` shall be considered as EMF Model or not.

Implementations of this interface can be registered for the extension point `org.eclipse.emf.compare.ide.modelInclusionTester` to specify whether EMF Compare's model provider should be enabled for certain files or not. See extension point description for more details.

Since:
  3.4.2

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `shouldInclude(org.eclipse.core.resources.IFile file)` Specifies whether the given `file` should be included or not.

### Method Detail

#### shouldInclude

    boolean shouldInclude(org.eclipse.core.resources.IFile file)

Specifies whether the given `file` should be included or not.

It is strongly recommended to keep this method as efficient and simple as possible, because it will be called several times for existing and potentially inexistent files.

Parameters:
  `file` - The file to test.
Returns:
  `true` if the `file` should be included, `false` otherwise.